/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.ReservacionPuntoVentaDAO;
import com.rjconsultores.ventaboletos.entidad.ReservacionPuntoVenta;
import com.rjconsultores.ventaboletos.service.ReservacionPuntoVentaService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Rafius
 */
@Service("reservacionPuntoVentaService")
public class ReservacionPuntoVentaServiceImpl implements ReservacionPuntoVentaService {

    @Autowired
    private ReservacionPuntoVentaDAO reservacionPuntoVentaDAO;

    public List<ReservacionPuntoVenta> obtenerTodos() {
        return reservacionPuntoVentaDAO.obtenerTodos();
    }

    public ReservacionPuntoVenta obtenerID(Integer id) {
        return reservacionPuntoVentaDAO.obtenerID(id);
    }

    @Transactional
    public ReservacionPuntoVenta suscribir(ReservacionPuntoVenta entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return reservacionPuntoVentaDAO.suscribir(entidad);
    }

    @Transactional
    public ReservacionPuntoVenta actualizacion(ReservacionPuntoVenta entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return reservacionPuntoVentaDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(ReservacionPuntoVenta entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        reservacionPuntoVentaDAO.actualizacion(entidad);
    }
}
